gr::fosphor::base_sink_c_impl Class Referenceabstract
Fosphor

Base class for fosphor sink implementation. More...

`#include <base_sink_c_impl.h>`

Inheritance diagram for gr::fosphor::base_sink_c_impl:
[legend]

## Public Member Functions

virtual | ~base_sink_c_impl ()
void | execute_ui_action (enum ui_action_t action)
void | execute_mouse_action (enum mouse_action_t action, int x, int y)
void | set_frequency_range (const double center, const double span)
void | set_frequency_center (const double center)
void | set_frequency_span (const double span)
void | set_fft_window (const gr::fft::window::win_type win)
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
bool | start ()
bool | stop ()

## Protected Member Functions

| base_sink_c_impl ()
virtual void | glctx_init ()=0
virtual void | glctx_poll ()=0
virtual void | glctx_swap ()=0
virtual void | glctx_fini ()=0
virtual void | glctx_update ()=0
void | cb_reshape (int width, int height)
void | cb_visibility (bool visible)
Protected Member Functions inherited from gr::fosphor::base_sink_c
| base_sink_c (const char *name=NULL)

## Additional Inherited Members

Public Types inherited from gr::fosphor::base_sink_c
enum | ui_action_t { DB_PER_DIV_UP , DB_PER_DIV_DOWN , REF_UP , REF_DOWN , ZOOM_TOGGLE , ZOOM_WIDTH_UP , ZOOM_WIDTH_DOWN , ZOOM_CENTER_UP , ZOOM_CENTER_DOWN , RATIO_UP , RATIO_DOWN , FREEZE_TOGGLE }
enum | mouse_action_t { CLICK }

## Detailed Description

Base class for fosphor sink implementation.

## Constructor & Destructor Documentation

## base_sink_c_impl()

gr::fosphor::base_sink_c_impl::base_sink_c_impl | ( |  | ) |

protected

## ~base_sink_c_impl()

virtual gr::fosphor::base_sink_c_impl::~base_sink_c_impl | ( |  | ) |

virtual

## Member Function Documentation

## cb_reshape()

void gr::fosphor::base_sink_c_impl::cb_reshape | ( | int | width,
|  | int | height )

protected

## cb_visibility()

void gr::fosphor::base_sink_c_impl::cb_visibility | ( | bool | visible | ) |

protected

## execute_mouse_action()

void gr::fosphor::base_sink_c_impl::execute_mouse_action | ( | enum mouse_action_t | action,
|  | int | x,
|  | int | y )

virtual

Implements gr::fosphor::base_sink_c.

## execute_ui_action()

void gr::fosphor::base_sink_c_impl::execute_ui_action | ( | enum ui_action_t | action | ) |

virtual

Implements gr::fosphor::base_sink_c.

## glctx_fini()

virtual void gr::fosphor::base_sink_c_impl::glctx_fini | ( |  | ) |

protected pure virtual

Implemented in gr::fosphor::glfw_sink_c_impl, and gr::fosphor::qt_sink_c_impl.

## glctx_init()

virtual void gr::fosphor::base_sink_c_impl::glctx_init | ( |  | ) |

protected pure virtual

Implemented in gr::fosphor::glfw_sink_c_impl, and gr::fosphor::qt_sink_c_impl.

## glctx_poll()

virtual void gr::fosphor::base_sink_c_impl::glctx_poll | ( |  | ) |

protected pure virtual

Implemented in gr::fosphor::glfw_sink_c_impl, and gr::fosphor::qt_sink_c_impl.

## glctx_swap()

virtual void gr::fosphor::base_sink_c_impl::glctx_swap | ( |  | ) |

protected pure virtual

Implemented in gr::fosphor::glfw_sink_c_impl, and gr::fosphor::qt_sink_c_impl.

## glctx_update()

virtual void gr::fosphor::base_sink_c_impl::glctx_update | ( |  | ) |

protected pure virtual

Implemented in gr::fosphor::glfw_sink_c_impl, and gr::fosphor::qt_sink_c_impl.

## set_fft_window()

void gr::fosphor::base_sink_c_impl::set_fft_window | ( | const gr::fft::window::win_type | win | ) |

virtual

Implements gr::fosphor::base_sink_c.

## set_frequency_center()

void gr::fosphor::base_sink_c_impl::set_frequency_center | ( | const double | center | ) |

virtual

Implements gr::fosphor::base_sink_c.

References center.

## set_frequency_range()

void gr::fosphor::base_sink_c_impl::set_frequency_range | ( | const double | center,
|  | const double | span )

virtual

Implements gr::fosphor::base_sink_c.

References center, and span.

## set_frequency_span()

void gr::fosphor::base_sink_c_impl::set_frequency_span | ( | const double | span | ) |

virtual

Implements gr::fosphor::base_sink_c.

References span.

## start()

bool gr::fosphor::base_sink_c_impl::start | ( |  | ) |

## stop()

bool gr::fosphor::base_sink_c_impl::stop | ( |  | ) |

## work()

int gr::fosphor::base_sink_c_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## Member Data Documentation

## center

double gr::fosphor::base_sink_c_impl::center

Referenced by set_frequency_center(), and set_frequency_range().

## span

double gr::fosphor::base_sink_c_impl::span

Referenced by set_frequency_range(), and set_frequency_span().

The documentation for this class was generated from the following file:

- base_sink_c_impl.h